.App {
  text-align: center;
}

.App-logo {
  height: 40vmin;
  pointer-events: none;
}

@media (prefers-reduced-motion: no-preference) {
  .App-logo {
    animation: App-logo-spin infinite 20s linear;
  }
}

.App-header {
  background-color: #222;
  height: 186px;
  padding: 20px;
  color: #fff;
}

.App-link {
  color: #61dafb;
}

header i.fa.fa-shopping-basket.fa-6 {
  font-size: 8em;
}

.App .App-title {
  font-size: 1.5em;
}

nav {
  display: flex;
  justify-content: center;
}

nav form {
  align-items: center;
  width: 50%;
  margin: 20px;
  border: 1px solid gray;
  padding: 10px;
  border-radius: 10px;
}

nav form input {
  width: 90%;
  border: none;
  padding: 10px;
  font-size: 20px;
  outline: none;
}
.GroceriesBasketContainer {
  display: flex;
  justify-content: space-evenly;
}

.left,
.right {
  display: flex;
  width: 30%;
  flex-direction: column;
  align-items: flex-start;
}

.heading i {
  margin-right: 10px;
}

.right .heading {
  display: flex;
  width: 100%;
  justify-content: space-between;
}

.right .heading .clearBasket {
  color: red;
  opacity: 0.3;
  cursor: pointer;
}

.right .heading .clearBasket:hover {
  opacity: 1;
}

.groceriesList,
.basketItemsList {
  width: 100%;
  padding-left: 0;
}

.groceriesList li,
.basketItemsList li {
  list-style: none;
  text-align: left;
  margin: 7px 0;
  padding: 10px;
  border-radius: 5px;
  cursor: pointer;
}

.groceriesList li i,
.basketItemsList li i {
  margin-right: 7px;
  color: rgb(228, 217, 217);
  font-size: 1.2em;
}

.groceriesList li:hover i {
  color: green;
}

.basketItemsList li:hover i {
  color: red;
}

.groceriesList li:nth-child(odd),
.basketItemsList li:nth-child(odd) {
  background: #f9f9f9;
}

.groceriesList li:nth-child(even),
.basketItemsList li:nth-child(even) {
  background: #efefef;
}

footer {
  height: 150px;
  background-color: #222;
  margin: 20px 0 0;
  display: flex;
  justify-content: center;
  align-items: center;
  color: #fff;
}

footer a {
  color: white;
}

@keyframes App-logo-spin {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}
